Name:    liquidctl
Version: 1.1.0
Release: 2%{?dist}
Summary: Tool for controlling NZXT liquid coolers, case fans and RGB LED strips
License: GPLv3+

URL: https://github.com/jonasmalacofilho/liquidctl
Source0: %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python3-devel

%{?python_enable_dependency_generator}

# Require the python libs in the main package
Requires: python3-%{name}

%description
liquidctl is a tool for controlling various settings of NZXT devices, such as:
- liquid cooler pump speed
- case fan speed
- RGB LED strip colors

Currently supported devices are:
- NZXT Grid+ V3
- NZXT Kraken M22
- NZXT Kraken X (X42, X52, X62 or X72)
- NZXT Smart Device


%package -n python3-%{name}
BuildArch: noarch
Summary: Module for controlling NZXT liquid coolers, case fans, RGB LED devices

%description -n python3-%{name}
A python module providing classes for communicating with various cooling devices
and RGB LED solutions from the hardware manufacturer NZXT.


%prep
%setup -q


%build
%py3_build


%install
%py3_install


%files
%doc CHANGELOG.md README.md
%doc docs/
%{_bindir}/%{name}

%files -n python3-%{name}
%license LICENSE.txt
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.egg-info/


%changelog
* Sat Jan 05 2019 Artur Iwicki <fedora@svgames.pl> - 1.1.0-2
- Mark the package as noarch
- Split off the python libs into a python3-liquidctl subpackage
- Fix typos in summary and description

* Fri Dec 28 2018 Artur Iwicki <fedora@svgames.pl> - 1.1.0-1
- Initial packaging
